org.apache.storm.hdfs.spout

## Class TextFileReader

- java.lang.Object
- - org.apache.storm.hdfs.spout.TextFileReader

-     public class TextFileReader
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TextFileReader.Offset`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BUFFER_SIZE`
    `static String` | `CHARSET`
    `static String[]` | `defaultFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextFileReader(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, Map<String,Object> conf)`
    `TextFileReader(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path file, Map<String,Object> conf, String startOffset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `equals(Object o)`
    `TextFileReader.Offset` | `getFileOffset()`
    `org.apache.hadoop.fs.Path` | `getFilePath()`
    `int` | `hashCode()`
    `List<Object>` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultFields

          public static final String[] defaultFields

    - #### CHARSET

          public static final String CHARSET

      See Also:
        Constant Field Values

    - #### BUFFER_SIZE

          public static final String BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TextFileReader

          public TextFileReader(org.apache.hadoop.fs.FileSystem fs,
                                org.apache.hadoop.fs.Path file,
                                Map<String,Object> conf)
                         throws IOException

      Throws:
        `IOException`

    - #### TextFileReader

          public TextFileReader(org.apache.hadoop.fs.FileSystem fs,
                                org.apache.hadoop.fs.Path file,
                                Map<String,Object> conf,
                                String startOffset)
                         throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getFileOffset

          public TextFileReader.Offset getFileOffset()

    - #### next

          public List<Object> next()
                            throws IOException,
                                   ParseException

      Throws:
        `IOException`
        `ParseException`

    - #### close

          public void close()

    - #### getFilePath

          public org.apache.hadoop.fs.Path getFilePath()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.